Software/adminapp/urls.py
from django.urls import path,include
from . import views

app_name = 'adminapp'

urlpatterns = [
    path('', views.home,name="home"),
    path('login/', views.login,name="login"),
    path('logout/', views.logout,name="logout"),
    path('dashboard/', views.dashboard,name="dashboard"),
    path('settings/', views.settings,name="settings"),
    path('users/', views.users,name="users"),
    path('users/delete/<int:id>',views.user_delete,name="delete_user"),
    
    path('datasource/', include('datasourcesapp.urls',namespace='datasourceapp')),
    path('api/', include('apiapp.urls',namespace='apiapp')),   
]

Software/apiapp/urls.py
from django.urls import path
from . import views


app_name = "apiapp"


urlpatterns = [
    path('manage',views.api_manage,name="api_manage"),
    path('update', views.api_update,name="api_update"),
    path('delete/<int:api_id>', views.api_delete,name="api_delete"),
    path('status/<int:api_id>', views.api_status_toggle ,name="api_status_change"),

    path('devicesets',views.devicesets),
    path('devicesets/manage',views.devicesets_manage,name='devicesets_manage'),
    path('devicesets/update',views.devicesets_update),
    path('deviceset/delete/<int:id>',views.delete_deviceset),

    path('apis',views.apis),
    path('querysets',views.querysets),
    path('datasources',views.dataSources),
    path('measurements',views.measurements),
    path('fields',views.fields),
    path('distictvalues',views.distinctvalues),
    path('build',views.api_build,name="buildapi"),
    path('buildapi',views.build_api),
    path('queries/delete/<int:id>',views.delete_queries),

    path('permissions',views.permissions,name="permissions"),
    path('permissions/delete/<int:id>',views.delete_permissions),

    path('tokens',views.tokens,name="tokens"),
    path('tokens/create/<int:id>',views.token_generate,name="token_generate"),


]

Software/lorapis/urls.py
from django.contrib import admin
from django.urls import path,include
from . import views
from apiapp.views import api_handler_default

urlpatterns = [
    path('', views.index,name="index"),
    #path('admin/', admin.site.urls),
    path('admin/',include('adminapp.urls',namespace='adminapp')),
    path('api/v1/<str:app_name>',api_handler_default),
    path('api/v1/<str:app_name>/filter/<str:time_frame>/<int:period>',api_handler_default),
    path('api/v1/<str:app_name>/from/<str:from_>/to/<str:to_>',api_handler_default),
]

Software/templates/index.html
{% load static %}
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>LoraLink</title>
</head>
<style>
    * {
        padding: 0;
        margin: 0;
        box-sizing: border-box;
    }

    .header {
        height: 15vh;
    }

    .body {
        height: 65vh;
    }

    .footer {
        height: 20vh;
    }

    .logo {
        width: 100px;
    }

    .flex-row-header {
        display: flex;
        flex-direction: row;
        justify-content: center;
        text-align: center;
        height: 15vh;
    }

    .flex-col-header {
        flex: 33%;
        align-self: center;
    }

    .login-btn {
        text-decoration: none;
        color: rgb(0, 0, 0);
        background-color: #ffffff;
        cursor: pointer;
        padding: 12px 16px 12px 16px;
        border-radius: 6px;
        width: 200px;
        display: block;
        margin-left: auto;
        margin-right: auto;
        margin-top: 2em;
    }

    .body {
        background: url("{% static 'home/images/body-bg.jpg' %}");
    }

    .body-content {
        background-color: #0e0d0dad;
        height: 100%;
        color: white;
        display: flex;
        flex-direction: column;
        justify-content: center;
        text-align: center;
    }

    p {
        margin-top: .5em;
    }

    h2,
    h1,
    p {
        font-family: "Muli", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
            "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji",
            "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    }

    .flex-row-footer {
        height: 20vh;
        display: flex;
        flex-direction: row;
        justify-content: center;
        text-align: center;

    }

    .flex-col-footer {
        /* flex: 30%; */
        align-self: center;
    }
</style>

<body>
    <div class="main">
        <div class="header">
            <div class="flex-row-header">
                <div class="flex-col-header">
                    <h2>LoraLink</h2>
                </div>
                <div class="flex-col-header">
                    <img class="logo" src="{% static 'home/images/icfoss_logo.png' %}" />
                </div>
                <div class="flex-col-header">
                    <img class="logo" src="{% static 'home/images/lorawan.png' %}" />
                </div>
            </div>
        </div>
        <div class="body">
            <div class="body-content">
                <h1>LoraLink</h1>
                <p>API service for LoraWan Data</p>
                <a href="{% url 'adminapp:login' %}" class="login-btn">Login</a>
            </div>
        </div>
        <div class="footer">
            <div class="flex-row-footer">
                <div class="flex-col-footer"></div>
                <div class="flex-col-footer">
                    <p>International Centre for Free and Open Source Software <br>Developed by Open Hardware</p>
                </div>
                <div class="flex-col-footer"></div>
            </div>
        </div>
    </div>

    <!--SNACKBAR MESAGE-->
    <link href="{% static 'common/css/snackbar.css' %}" type="text/css" rel="stylesheet">
    <div id="snackbar"></div>
    <script src="{% static 'common/js/snackbar.js' %}"></script>


    {% for message in messages %}
    <script>showSnackBar("{{ message }}");</script>
    {% endfor %}
</body>

</html>

Software/templates/login.html
{% load static %}
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="{% static 'home/css/login.css' %}" type="text/css" rel="stylesheet">
</head>

<body>
    <section>
        <div class="imgBx">
            <img src="{% static 'home/images/body-bg.jpg' %}">
            <h1>LoraLink</h1>
            <p>API service for LoraWan Data</p>
            <a class="home-btn" href="/" class="login-btn">Home</a>
        </div>
        <div class="contentBx">
            <div class="formBx">
                <h2>Login</h2>
                <form action="{% url 'adminapp:login' %}" method="POST">
                    {% csrf_token %}
                    <div class="inputBx">
                        <span>Username</span>
                        <input type="text" name="{{ form.username.name }}" required>
                    </div>
                    <div class="inputBx">
                        <span>Password</span>
                        <input type="password" name="{{ form.password.name }}" required>
                    </div>
                    <!-- <div class="remember">
                        <label>
                            <input type="checkbox" name=""> Remember
                        </label>
                    </div> -->
                    <div class="inputBx">
                        <input type="submit" value="Sign in" name="">
                    </div>

                </form>

            </div>
        </div>
    </section>

    <!--SNACKBAR MESAGE-->
    <link href="{% static 'common/css/snackbar.css' %}" type="text/css" rel="stylesheet">
    <div id="snackbar"></div>
    <script src="{% static 'common/js/snackbar.js' %}"></script>


    {% for message in messages %}
    <script>showSnackBar("{{ message }}");</script>
    {% endfor %}

</body>

</html>